//=============================================================================
// Regenerates Sentinel health over time.
// http://mrevil.pwp.blueyonder.co.uk/unreal/
//=============================================================================
class SentinelUpgrade_AutoRepair extends SentinelUpgrade;

var() float RepairInterval;
var() int RepairAmount;

function InitializeFor(Sentinel S)
{
	super.InitializeFor(S);

	SetTimer(RepairInterval, true);
}

function Timer()
{
	Cannon.HealDamage(RepairAmount, Cannon.Controller, class'UTDamageType');
}

function SentinelUpgrade DetachUpgrade(SentinelUpgrade UpgradeToDetach)
{
	if(UpgradeToDetach == self)
	{
		ClearTimer();
	}

	return super.DetachUpgrade(UpgradeToDetach);
}

defaultproperties
{
	FriendlyName="Auto-Repair"
	Description="The auto-repair upgrade consists of a comprehensive damage monitoring system and a long-range translocation device to replace damaged parts with new ones directly from the nearest service centre."

	RepairInterval=5.0
	RepairAmount=25.0
	
	AmmoCost=100
	ActivateSound=SoundCue'SentinelGear_Resources.Sounds.Upgrades.AutoRepair_Activate'
}